<?php
/*
Plugin Name: Tweetstream
Plugin URI:
Description: Synchronises users tweets with activity stream and back.
Version: 1.2.1.1
Author: Peter Hofman
Author URI: http://www.faboo.nl
*/

// Copyright (c) 2010 Faboo.nl. All rights reserved.
//
// Released under the GPL license
// http://www.opensource.org/licenses/gpl-license.php
//
// This is an add-on for Buddypress
// http://buddypress.org/
//
// **********************************************************************
// This program is distributed in the hope that it will be useful, but
// WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
// **********************************************************************

/* Only load code that needs BuddyPress to run once BP is loaded and initialized. */

function tweetstream_init() {
    require'tweetstream-functions.php';
}
add_action( 'bp_init', 'tweetstream_init' );

##############################################
##                                          ##
##             wp_cron stuff                ##
##                                          ##
##############################################

//on plugin activation register cron
register_activation_hook(__FILE__, 'tweetstream_activation');
add_action('tweetstream_cron_event', 'tweetstream_cron');

function tweetstream_activation() {
    wp_schedule_single_event(time()+300, 'tweetstream_cron_event');
}

function tweetstream_cron() {

    global $wpdb;

    // get all usermeta with twitter authorisation
    if(get_site_option('tweetstream_user_settings_syncbp')==0){
        $user_metas = $wpdb->get_results($wpdb->prepare("SELECT * FROM $wpdb->usermeta WHERE meta_key='tweetstream_token';"));
        if($user_metas){
            foreach ($user_metas as $user_meta){
                tweetstream_getTweets($user_meta->user_id);
            }
        }
    }
    wp_schedule_single_event(time()+300, 'tweetstream_cron_event');
}

?>